org.apache.ignite.internal.processors.cache

## Class GridDeferredAckMessageSender<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridDeferredAckMessageSender<T>

    public abstract class GridDeferredAckMessageSender<T>
    extends Object

### Field Summary

Fields
`GridClosureProcessor` `c` Closure processor.

### Constructor Summary

Constructors
Constructor and Description
`GridDeferredAckMessageSender(GridTimeoutProcessor time, GridClosureProcessor c)`

### Method Summary

Methods
`abstract void` `finish(UUID nodeId, ConcurrentLinkedDeque8<T> vers)`
`abstract int` `getBufferSize()`
`abstract int` `getTimeout()`
`void` `sendDeferredAckMessage(UUID nodeId, T ver)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### c

    public GridClosureProcessor c

Closure processor.

### Constructor Detail

#### GridDeferredAckMessageSender

    public GridDeferredAckMessageSender(GridTimeoutProcessor time,
                                GridClosureProcessor c)

Parameters:
  `time` - Time.
  `c` - Closure.

### Method Detail

#### getTimeout

    public abstract int getTimeout()

Returns:
  Timeout.

#### getBufferSize

    public abstract int getBufferSize()

Returns:
  Buffer size.

#### finish

    public abstract void finish(UUID nodeId,
              ConcurrentLinkedDeque8<T> vers)

Parameters:
  `nodeId` - Node ID.
  `vers` - Versions to send.

#### stop

    public void stop()

#### sendDeferredAckMessage

    public void sendDeferredAckMessage(UUID nodeId,
                              T ver)

Parameters:
  `nodeId` - Node ID to send message to.
  `ver` - Version to ack.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017